VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
UTF8CodePointIterator< BaseIterator > Class Template Reference

## Public Types
using | iterator_category = std::bidirectional_iterator_tag
using | value_type = char32_t
using | difference_type = ptrdiff_t
using | pointer = char32_t *
using | reference = char32_t &
using | CodePoint = value_type

## Public Member Functions
| UTF8CodePointIterator () noexcept=default
| UTF8CodePointIterator (const UTF8CodePointIterator &o) noexcept
| UTF8CodePointIterator (const BaseIterator &iterator) noexcept
UTF8CodePointIterator & | operator++ () noexcept
UTF8CodePointIterator & | operator-- () noexcept
UTF8CodePointIterator | operator++ (int) noexcept
UTF8CodePointIterator | operator-- (int) noexcept
bool | operator== (const UTF8CodePointIterator &other) const noexcept
bool | operator!= (const UTF8CodePointIterator &other) const noexcept
CodePoint | operator* () const noexcept
BaseIterator | base () const noexcept

## Member Typedef Documentation

using CodePoint = value_type

using difference_type = ptrdiff_t

using iterator_category = std::bidirectional_iterator_tag

using pointer = char32_t*

using reference = char32_t&

using value_type = char32_t

## Constructor & Destructor Documentation

UTF8CodePointIterator | ( |  | ) |
| default noexcept

UTF8CodePointIterator | ( | const UTF8CodePointIterator< BaseIterator > & | o | ) |
| inline noexcept

UTF8CodePointIterator | ( | const BaseIterator & | iterator | ) |
| inline explicit noexcept

## Member Function Documentation

BaseIterator base | ( |  | ) | const
| inline noexcept

bool operator!= | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inline noexcept

UTF8CodePointIterator< BaseIterator >::CodePoint operator* | ( |  | ) | const
| inline noexcept

UTF8CodePointIterator< BaseIterator > & operator++ | ( |  | ) |
| inline noexcept

UTF8CodePointIterator< BaseIterator > operator++ | ( | int |  | ) |
| inline noexcept

UTF8CodePointIterator< BaseIterator > & operator-- | ( |  | ) |
| inline noexcept

UTF8CodePointIterator< BaseIterator > operator-- | ( | int |  | ) |
| inline noexcept

bool operator== | ( | const UTF8CodePointIterator< BaseIterator > & | other | ) | const
| inline noexcept

The documentation for this class was generated from the following file:

- cstring.h